#! /usr/bin/env python


import sys, os

filename = sys.argv[1]
ext = os.path.splitext(filename)[1]

infile = open(filename, 'r')
codestring = infile.read()
infile.close()

try:
   if ext == ".ptl": # Python Template (Quixote)
      from quixote.ptl_compile import Template
      template = Template(codestring, filename)
      template.compile()
   else:
      compile(codestring, filename, "exec")
except SyntaxError as detail:
   msg = str(detail)
   filename = detail.filename
   lineno = detail.lineno
   offset = detail.offset
   lineno = detail.lineno
else:
   sys.exit()

if offset is None: offset = 1

sys.stderr.write("""  File "%s", line %d, column %d
SyntaxError: %s
""" % (filename, lineno, offset, msg))
